changeset 364:6df3ac5165fa

The "strip" in gcc 4.4 doesn't set the executable bit on its output, despite what SUSv4 says it should do, so cope with buggy FSF tools.
author Rob Landley <rob@landley.net>
date Sun, 13 Dec 2009 00:12:26 -0600
parents 2428870ce50c
children 8f0b24cc7cd7
files scripts/make.sh
diffstat 1 files changed, 3 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/make.sh	Sun Dec 13 00:11:30 2009 -0600
+++ b/scripts/make.sh	Sun Dec 13 00:12:26 2009 -0600
@@ -99,3 +99,6 @@
 $DEBUG $CC $CFLAGS -I . -o toybox_unstripped $OPTIMIZE main.c lib/*.c \
   $TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
 $DEBUG $STRIP toybox_unstripped -o toybox || exit 1
+# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
+# its output the way SUSv4 suggests it do so.
+$DEBUG chmod +x toybox || exit 1